%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Summary: Configure and use Wine through Python
Name: python-wine
Version: 0.3pre10
Release: 1
BuildArch: noarch
License: GPL+
Group: System Utilities

Source0: %{name}-%{version}.tar.bz2
URL: https://launchpad.net/vineyard

Requires:	wine
Requires:	unzip
Requires:	cabextract
Requires:	icoutils

%description
Configure and use Wine through Python
python-wine is a module that let's you run and configure Windows program run
by Wine directly from Python.

It has support for all that winecfg can do (except themes) and also includes
advanced functions like retrieving icons based on registry, XDG menu
information and program information based on an executable's metadata.

%prep
%setup -q

%build
%{__python} setup.py build

%post

%install
#mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

%files
%defattr(-, root, root)
%{python_sitelib}/*

%changelog
* Thu Feb 28 2011 Andrew Wyatt <andrew@fuduntu.org> 0.3pre10
- Initial Release
